OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_Array1OfDirPart Class Reference

`#include <IGESData_Array1OfDirPart.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_Array1OfDirPart (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESData_Array1OfDirPart (const IGESData_DirPart &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const IGESData_DirPart &V)
Standard_EXPORT void | Destroy ()
| ~IGESData_Array1OfDirPart ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESData_Array1OfDirPart & | Assign (const IGESData_Array1OfDirPart &Other)
const IGESData_Array1OfDirPart & | operator= (const IGESData_Array1OfDirPart &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const IGESData_DirPart &Value)
const IGESData_DirPart & | Value (const Standard_Integer Index) const
const IGESData_DirPart & | operator() (const Standard_Integer Index) const
IGESData_DirPart & | ChangeValue (const Standard_Integer Index)
IGESData_DirPart & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESData_Array1OfDirPart (const IGESData_Array1OfDirPart &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_Array1OfDirPart::IGESData_Array1OfDirPart | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESData_Array1OfDirPart::IGESData_Array1OfDirPart | ( | const IGESData_DirPart & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESData_Array1OfDirPart::~IGESData_Array1OfDirPart | ( |  | ) | `[inline]`

Standard_EXPORT IGESData_Array1OfDirPart::IGESData_Array1OfDirPart | ( | const IGESData_Array1OfDirPart & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESData_Array1OfDirPart& IGESData_Array1OfDirPart::Assign | ( | const IGESData_Array1OfDirPart & | Other | ) |

IGESData_DirPart& IGESData_Array1OfDirPart::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESData_Array1OfDirPart::Destroy | ( |  | ) |

Standard_EXPORT void IGESData_Array1OfDirPart::Init | ( | const IGESData_DirPart & | V | ) |

Standard_Boolean IGESData_Array1OfDirPart::IsAllocated | ( |  | ) | const

Standard_Integer IGESData_Array1OfDirPart::Length | ( |  | ) | const

Standard_Integer IGESData_Array1OfDirPart::Lower | ( |  | ) | const

void IGESData_Array1OfDirPart::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_Array1OfDirPart::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_Array1OfDirPart::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

IGESData_DirPart& IGESData_Array1OfDirPart::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const IGESData_DirPart& IGESData_Array1OfDirPart::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESData_Array1OfDirPart& IGESData_Array1OfDirPart::operator= | ( | const IGESData_Array1OfDirPart & | Other | ) | `[inline]`

void IGESData_Array1OfDirPart::SetValue | ( | const Standard_Integer | Index,
|  | const IGESData_DirPart & | Value
| ) |

Standard_Integer IGESData_Array1OfDirPart::Upper | ( |  | ) | const

const IGESData_DirPart& IGESData_Array1OfDirPart::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESData_Array1OfDirPart::isAllocated`[private]`

Standard_Integer IGESData_Array1OfDirPart::myLowerBound`[private]`

Standard_Address IGESData_Array1OfDirPart::myStart`[private]`

Standard_Integer IGESData_Array1OfDirPart::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESData_Array1OfDirPart.hxx